<?
    
include './system/common.php';  
include './system/functions.php';     
include './system/h.php';     
    
	if(mysql_num_rows(mysql_query('SELECT * FROM `ban` WHERE `ip` = "'.$_SERVER['REMOTE_ADDR'].'" ')) >= 1 OR mysql_num_rows(mysql_query('SELECT * FROM `users` WHERE `ip` = "'.$_SERVER['REMOTE_ADDR'].'" ' )) >= 50 ) {
echo'  <div class="title"> Произошла ошибка </div>
<div class="empty_block item_center">
Вы уже зарегистрированы в игре!<br>
Нельзя иметь так много персонажей!
</div><div class="line"></div>
<div class="block_link"><a href="/" class="link"><img src="/images/ico/png/home.png" width="18"> На главную </a></div>
<div class="line"></div>';
include './system/f.php' ;
exit; }


if(!$user) { 
$title = 'Возвращение домой';

echo '<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru">
<head>
    <meta http-equiv="Content-Style-Type" content="text/css" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="format-detection" content="telephone=no"/>
    <link rel="shortcut icon" href="/favicon.ico">
    <link rel="stylesheet" href="/images/style/style.css" type="text/css" /> 
    <title>'.$title.'</title> 
</head>';
echo'<div class="title">'.$title.'</div>';


 


$act = isset($_GET['act']) ? $_GET['act'] : null;
switch($act){
default:
echo' 
<div class="empty_block item_center">
Возвращаясь из похода вы встретили Волка </br>
— Придется с ним сразиться, чтобы пройти дальше
</div>
<div class="line"></div>
<div class="empty_block item_center">
<img src="/images/ico/lair/lair1_nowin.jpg" alt="*">
    <div class="link_center"><a href="/start/first_attack">Атаковать</a></div>
</div><div class="line"></div>';
break;


case 'first_attack':
echo' 
<div class="empty_block item_center">
Волк отступил, и вы получили ценную награду </br>
<font color="lime"> Награда: </font></br>
Серебро <img src="/images/ico/png/silver.png" widalt="16" alt="*">12, Опыт <img src="/images/ico/png/exp.png" widalt="16" alt="*">9
</div>
<div class="line"></div>
<div class="empty_block item_center">
<img src="/images/ico/lair/lair1_nowin.jpg" alt="*">
    <div class="link_center"><a href="/start/save">Атаковать</a></div>
</div><div class="line"></div>';
break;

case 'save':
    
$sex = _string($_POST['sex']);
if(isset($_REQUEST['reg']))
{
 
   $login = _string($_POST['login']);
$password = _string($_POST['password']);

   if(empty($login) or empty($password)){
      header("Location: /start.php?act=save");
     $_SESSION['mes'] = mes('Одно из полей не заполнено');
     exit;  
}


$sql = mysql_query("SELECT COUNT(`id`) FROM `users` WHERE `login` = '".$login."'"); 
if(mysql_result($sql, 0)){
      header("Location: /start/save");
     $_SESSION['mes'] = mes('Такой ник уже есть в базе!');
     exit;  
}

if (!preg_match('|^[a-z0-9\-]+$|i', $login)){
      header("Location: /start/save");
     $_SESSION['mes'] = mes('Кириллица запрещена в логине!');
     exit;  
}
if (!preg_match('|^[a-z0-9\-]+$|i', $password)){
      header("Location: /start/save");
     $_SESSION['mes'] = mes('Кириллица запрещена в пароле!');
     exit;  
}
if(mb_strlen($login) > 32 or mb_strlen($login) < 3){
      header("Location: /start/save");
     $_SESSION['mes'] = mes('Логин должен состоять от 3 до 32 символов!');
     exit;  
}
if(mb_strlen($password) > 32 or mb_strlen($password) < 3){
      header("Location: /start/save");
     $_SESSION['mes'] = mes('Пароль должен состоять от 3 до 32 символов!');
     exit;  
}

if(mb_strlen($sex) < 1){
      header("Location: /start/save");
     $_SESSION['mes'] = mes('Вы не выбрали пол!');
     exit;     
}




  if(mysql_query('INSERT INTO `users` (`login`,
                                    `password`,
									`sex`,
									`g`,
									`s`,
									`exp`,
									`str`,
									`vit`,
									`def`,
									`bonus_date`) VALUEs ("'.$login.'",
                                                   "'.md5(md5(md5($_POST['password']))).'",
												   "'.$sex.'",
												   "1000020",
												   "10000012",
												   "9",
												   "39",
												   "39",
												   "39",
												   "'.date('d.m.Y').'" )')) {
    
$id = mysql_insert_id();                                   
setCookie('id', $id, time() + 86400, '/');
setCookie('password', md5(md5(md5($_POST['password']))), time() + 86400, '/');

$text=' Ваш логин: '.$login.' </br>
        Ваш пароль: '.$password.'';
mysql_query('INSERT INTO `mail` (`from`, `to`, `text`,`time`, `read`) VALUES ("2", "'.$id.'", "'.$text.'", "'.time().'", "0")');
mysql_query('INSERT INTO `contacts` (`ho`, `user`, `time`) VALUES ("2", "'.$id.'", "'.time().'")');
mysql_query('INSERT INTO `contacts` (`user`, `ho`, `time`) VALUES ("2", "'.$id.'", "'.time().'")');
}



header('location: /');
exit;  
}

echo ''.$_SESSION['mes'].' ';
    $_SESSION['mes']=NULL; //Удаляем сесию
	

echo'
<div class="empty_block item_center">
  <form action="" method="POST">
Ваш логин:<br/> <input type="text" name="login" value=""/> <br />
Ваш пароль:<br/> <input type="password" name="password" value=""/> <br />
  Пол:<br/><select name="sex">
  <option value="">не выбрано</option>
  <option value="0">Мужской</option>
  <option value="1">Женский</option>

  </select><br/>
<input class="button" type="submit" name="reg" value="Сохранить" />
</form></div><div class="line"></div>';
break;
}


include './system/f.php';
exit;
} 

?>